1. AC Question's Avatar
    samsung SGH 1547 android version 4.1.2 incompatible for pokemon go please help
    07-16-2016 08:07 PM
  2. dpham00's Avatar
    You can try to update it but most likely it is too old. You need 4.4.
    07-16-2016 08:14 PM

Similar Threads

  1. I need to close tabs
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 07-16-2016, 08:18 PM
  2. Why does my Play Store not install apps?
    By AC Question in forum Ask a Question
    Replies: 0
    Last Post: 07-16-2016, 07:56 PM
  3. Replies: 0
    Last Post: 07-16-2016, 07:44 PM
  4. how can i unlock my phone with google account?
    By AC Question in forum Ask a Question
    Replies: 0
    Last Post: 07-16-2016, 06:45 PM
  5. Can access phone, but not change pattern lock
    By AC Question in forum Ask a Question
    Replies: 0
    Last Post: 07-16-2016, 06:29 PM
LINK TO POST COPIED TO CLIPBOARD